<template>
  <div>
    {{ itemValue }} {{ itemText }}
    <select
      v-if="itemValue || itemText"
      @change="$emit('update:modelValue', $event.target.value)"
    >
      <option :value="item" v-for="(item, index) of options" :key="index">
        {{ item }}
      </option>
    </select>

    <select v-else @change="$emit('update:modelValue', $event.target.value)">
      <option :value="item" v-for="(item, index) of options" :key="index">
        {{ item }}
      </option>
    </select>
  </div>
</template>

<script>
export default {
  props: ["modelValue", "options", "itemValue", "itemText"],
};
</script>
